@REM #########################################################################
@REM # Licensed Materials - Property of IBM
@REM # 5724-D33
@REM # IBM Tivoli License Manager
@REM #
@REM # (C) Copyright IBM Corp. 2002, 2004.  All Rights Reserved.
@REM #
@REM # US Government Users Restricted Rights - Use, duplication or
@REM # disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@REM #########################################################################

@echo off

set CATALOG_111=IBMSoftwareCatalog.dat
set TRANSFORMER_XSL=catalogConverter.xsl
set XALAN=..\installedApp.ear\slm_admin.war\WEB-INF\lib\xalan.jar

:: The script can accept max 1 parameter
if not "%2" == "" goto toomanyparms
if "%1" == "" goto missingparam

set CATALOG_21=%1
set CATALOG_21_TMP=%CATALOG_21%.tmp

if not exist %CATALOG_21% goto catalogmissing

if not exist %TRANSFORMER_XSL% goto xslmissing

echo Input catalog (TLM 2.1): %CATALOG_21% 
echo Output catalog (TLM 1.1.1): %CATALOG_111%
echo Running (it may take a few minutes)... 

set CLASSPATH=%CLASSPATH%;%XALAN%
java org.apache.xalan.xslt.Process -IN %CATALOG_21% -XSL %TRANSFORMER_XSL% -OUT %CATALOG_21_TMP% -param PREPROCESS true
java org.apache.xalan.xslt.Process -IN %CATALOG_21_TMP% -XSL %TRANSFORMER_XSL% -OUT %CATALOG_111% -param PREPROCESS false

if not errorlevel 0 goto transformationerror

:: remove temporary catalog
if exist "%CATALOG_21_TMP%" @del "%CATALOG_21_TMP%"

echo Catalog conversion successful.
goto :eof

::--------------------------------------------------------------------------
:: Error conditions
::--------------------------------------------------------------------------

:transformationerror
echo Error: transformation failed
goto :eof
:catalogmissing
echo Error: input catalog not found: %CATALOG_21%
goto :eof
:xslmissing
echo Error: transformation stylesheet not found: %TRANSFORMER_XSL%
goto :eof
:toomanyparms
echo Error: too many parameters
goto :eof
:missingparam
echo Error: missing parameter
goto :usage
goto :eof

::--------------------------------------------------------------------------
:: Soubroutines
::--------------------------------------------------------------------------

:: This is a subroutine used to print the usage message
:usage
echo Usage: %0 ^<catalog file^>
goto :eof